<?php
/**
 * @package appComfinoPlugin */
class appComfinoPluginListener
{
    public static function validateUserDataBasket(sfEvent $event)
    {
        /**
         * @var stActions $controller
         */
        $controller = $event->getSubject();
        
        if ($controller->getModuleName() == 'stUserData' && $controller->getActionName() == 'addBasketUser')
        {
            $payment = stDeliveryFrontend::getInstance($controller->getUser()->getBasket())->getDefaultDelivery()->getDefaultPayment();
            
            if ($payment->getPaymentTypeApi() instanceof appComfinoPaymentType)
            {
                $config = stConfig::getInstance('stUser');
                $config->set('validate_phone', true);
                $config->set('require_billing_fullname', true);
            }
        }
    }
}